Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Moving sdp tests in maxmin_usage (to have the same set of tests).
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 @HAVE_SDP_TRUE@am__append_1 = surf/sdp_usage surf/sdp_bench
45 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_4) \
46         $(am__EXEEXT_5)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
49 subdir = testsuite
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
52         $(top_srcdir)/acmacro/compiler-flags.m4 \
53         $(top_srcdir)/acmacro/context.m4 \
54         $(top_srcdir)/acmacro/fancy_configury.m4 \
55         $(top_srcdir)/acmacro/flex.m4 \
56         $(top_srcdir)/acmacro/gras_arch.m4 \
57         $(top_srcdir)/acmacro/print_null.m4 \
58         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 mkinstalldirs = $(install_sh) -d
62 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
63 CONFIG_CLEAN_FILES = run_tests
64 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
65         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
66 am__EXEEXT_2 = gras/trp_tcp_client$(EXEEXT) \
67         gras/trp_tcp_server$(EXEEXT) gras/trp_file_client$(EXEEXT) \
68         gras/trp_file_server$(EXEEXT) gras/datadesc_usage$(EXEEXT)
69 @HAVE_SDP_TRUE@am__EXEEXT_3 = surf/sdp_usage$(EXEEXT) \
70 @HAVE_SDP_TRUE@ surf/sdp_bench$(EXEEXT)
71 am__EXEEXT_4 = surf/maxmin_usage$(EXEEXT) surf/maxmin_bench$(EXEEXT) \
72         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
73         surf/surf_usage2$(EXEEXT) $(am__EXEEXT_3)
74 am__EXEEXT_5 = simdag/sd_test$(EXEEXT)
75 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
76         datadesc_structs.$(OBJEXT)
77 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
78 am__DEPENDENCIES_1 = $(abs_top_builddir)/src/libgras.la
79 gras_datadesc_usage_DEPENDENCIES = $(am__DEPENDENCIES_1)
80 am__dirstamp = $(am__leading_dot)dirstamp
81 gras_trp_file_client_SOURCES = gras/trp_file_client.c
82 gras_trp_file_client_OBJECTS = trp_file_client.$(OBJEXT)
83 gras_trp_file_client_DEPENDENCIES = $(am__DEPENDENCIES_1)
84 gras_trp_file_server_SOURCES = gras/trp_file_server.c
85 gras_trp_file_server_OBJECTS = trp_file_server.$(OBJEXT)
86 gras_trp_file_server_DEPENDENCIES = $(am__DEPENDENCIES_1)
87 gras_trp_tcp_client_SOURCES = gras/trp_tcp_client.c
88 gras_trp_tcp_client_OBJECTS = trp_tcp_client.$(OBJEXT)
89 gras_trp_tcp_client_DEPENDENCIES = $(am__DEPENDENCIES_1)
90 gras_trp_tcp_server_SOURCES = gras/trp_tcp_server.c
91 gras_trp_tcp_server_OBJECTS = trp_tcp_server.$(OBJEXT)
92 gras_trp_tcp_server_DEPENDENCIES = $(am__DEPENDENCIES_1)
93 simdag_sd_test_SOURCES = simdag/sd_test.c
94 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
95 am__DEPENDENCIES_2 = $(abs_top_builddir)/src/libsimgrid.la
96 simdag_sd_test_DEPENDENCIES = $(am__DEPENDENCIES_2)
97 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
98 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
99 surf_maxmin_bench_DEPENDENCIES = $(am__DEPENDENCIES_2)
100 surf_maxmin_usage_SOURCES = surf/maxmin_usage.c
101 surf_maxmin_usage_OBJECTS = maxmin_usage.$(OBJEXT)
102 surf_maxmin_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
103 surf_sdp_bench_SOURCES = surf/sdp_bench.c
104 surf_sdp_bench_OBJECTS = sdp_bench.$(OBJEXT)
105 @HAVE_SDP_TRUE@surf_sdp_bench_DEPENDENCIES = $(am__DEPENDENCIES_2)
106 surf_sdp_usage_SOURCES = surf/sdp_usage.c
107 surf_sdp_usage_OBJECTS = sdp_usage.$(OBJEXT)
108 @HAVE_SDP_TRUE@surf_sdp_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
109 surf_surf_usage_SOURCES = surf/surf_usage.c
110 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
111 surf_surf_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
112 surf_surf_usage2_SOURCES = surf/surf_usage2.c
113 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
114 surf_surf_usage2_DEPENDENCIES = $(am__DEPENDENCIES_2)
115 surf_trace_usage_SOURCES = surf/trace_usage.c
116 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
117 surf_trace_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
118 xbt_context_usage_SOURCES = xbt/context_usage.c
119 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
120 xbt_context_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
121 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
122 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
123 xbt_graphxml_usage_DEPENDENCIES = $(am__DEPENDENCIES_2)
124 xbt_heap_bench_SOURCES = xbt/heap_bench.c
125 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
126 xbt_heap_bench_DEPENDENCIES = $(am__DEPENDENCIES_1)
127 xbt_log_usage_SOURCES = xbt/log_usage.c
128 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
129 xbt_log_usage_DEPENDENCIES = $(am__DEPENDENCIES_1)
130 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
131 depcomp = $(SHELL) $(top_srcdir)/depcomp
132 am__depfiles_maybe = depfiles
133 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
134         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
135 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
136         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
137         $(AM_CFLAGS) $(CFLAGS)
138 CCLD = $(CC)
139 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
140         $(AM_LDFLAGS) $(LDFLAGS) -o $@
141 SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
142         gras/trp_file_server.c gras/trp_tcp_client.c \
143         gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
144         surf/maxmin_usage.c surf/sdp_bench.c surf/sdp_usage.c \
145         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
146         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
147         xbt/log_usage.c
148 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
149         gras/trp_file_server.c gras/trp_tcp_client.c \
150         gras/trp_tcp_server.c simdag/sd_test.c surf/maxmin_bench.c \
151         surf/maxmin_usage.c surf/sdp_bench.c surf/sdp_usage.c \
152         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
153         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
154         xbt/log_usage.c
155 ETAGS = etags
156 CTAGS = ctags
157 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
158 ACLOCAL = @ACLOCAL@
159 ADDR2LINE = @ADDR2LINE@
160 AMDEP_FALSE = @AMDEP_FALSE@
161 AMDEP_TRUE = @AMDEP_TRUE@
162 AMTAR = @AMTAR@
163 AR = @AR@
164 AS = @AS@
165 AUTOCONF = @AUTOCONF@
166 AUTOHEADER = @AUTOHEADER@
167 AUTOMAKE = @AUTOMAKE@
168 AWK = @AWK@
169 BASH = @BASH@
170 CC = @CC@
171 CCDEPMODE = @CCDEPMODE@
172 CFLAGS = @CFLAGS@
173 CPP = @CPP@
174 CPPFLAGS = @CPPFLAGS@
175 CXX = @CXX@
176 CXXCPP = @CXXCPP@
177 CXXDEPMODE = @CXXDEPMODE@
178 CXXFLAGS = @CXXFLAGS@
179 CYGPATH_W = @CYGPATH_W@
180 DEFS = @DEFS@
181 DEPDIR = @DEPDIR@
182 DLLTOOL = @DLLTOOL@
183 DOXYGEN = @DOXYGEN@
184 ECHO = @ECHO@
185 ECHO_C = @ECHO_C@
186 ECHO_N = @ECHO_N@
187 ECHO_T = @ECHO_T@
188 EGREP = @EGREP@
189 EXEEXT = @EXEEXT@
190 F77 = @F77@
191 FFLAGS = @FFLAGS@
192 FLEXML = @FLEXML@
193 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
194 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
195 GRAS_DEP = @GRAS_DEP@
196 GREP = @GREP@
197 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
198 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
199 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
200 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
201 INSTALL_DATA = @INSTALL_DATA@
202 INSTALL_PROGRAM = @INSTALL_PROGRAM@
203 INSTALL_SCRIPT = @INSTALL_SCRIPT@
204 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
205 LDFLAGS = @LDFLAGS@
206 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
207 LEX = @LEX@
208 LEXLIB = @LEXLIB@
209 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
210 LIBOBJS = @LIBOBJS@
211 LIBS = @LIBS@
212 LIBTOOL = @LIBTOOL@
213 LN_S = @LN_S@
214 LTLIBOBJS = @LTLIBOBJS@
215 MAINT = @MAINT@
216 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
217 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
218 MAKEINFO = @MAKEINFO@
219 MD5SUM = @MD5SUM@
220 OBJDUMP = @OBJDUMP@
221 OBJEXT = @OBJEXT@
222 PACKAGE = @PACKAGE@
223 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
224 PACKAGE_NAME = @PACKAGE_NAME@
225 PACKAGE_STRING = @PACKAGE_STRING@
226 PACKAGE_TARNAME = @PACKAGE_TARNAME@
227 PACKAGE_VERSION = @PACKAGE_VERSION@
228 PATH_SEPARATOR = @PATH_SEPARATOR@
229 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
230 RANLIB = @RANLIB@
231 SET_MAKE = @SET_MAKE@
232 SHELL = @SHELL@
233 SIMGRID_DEP = @SIMGRID_DEP@
234 STRIP = @STRIP@
235 VERSION = @VERSION@
236 WARNING = @WARNING@
237 abs_builddir = @abs_builddir@
238 abs_srcdir = @abs_srcdir@
239 abs_top_builddir = @abs_top_builddir@
240 abs_top_srcdir = @abs_top_srcdir@
241 ac_configure_args = @ac_configure_args@
242 ac_ct_CC = @ac_ct_CC@
243 ac_ct_CXX = @ac_ct_CXX@
244 ac_ct_F77 = @ac_ct_F77@
245 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
246 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
247 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
248 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
249 am__include = @am__include@
250 am__leading_dot = @am__leading_dot@
251 am__quote = @am__quote@
252 am__tar = @am__tar@
253 am__untar = @am__untar@
254 bindir = @bindir@
255 build = @build@
256 build_alias = @build_alias@
257 build_cpu = @build_cpu@
258 build_id = @build_id@
259 build_os = @build_os@
260 build_vendor = @build_vendor@
261 datadir = @datadir@
262 datarootdir = @datarootdir@
263 docdir = @docdir@
264 dvidir = @dvidir@
265 exec_prefix = @exec_prefix@
266 host = @host@
267 host_alias = @host_alias@
268 host_cpu = @host_cpu@
269 host_os = @host_os@
270 host_vendor = @host_vendor@
271 htmldir = @htmldir@
272 includedir = @includedir@
273 infodir = @infodir@
274 install_sh = @install_sh@
275 libdir = @libdir@
276 libexecdir = @libexecdir@
277 localedir = @localedir@
278 localstatedir = @localstatedir@
279 mandir = @mandir@
280 mkdir_p = @mkdir_p@
281 oldincludedir = @oldincludedir@
282 pdfdir = @pdfdir@
283 prefix = @prefix@
284 program_transform_name = @program_transform_name@
285 psdir = @psdir@
286 pth_skaddr_makecontext = @pth_skaddr_makecontext@
287 pth_sksize_makecontext = @pth_sksize_makecontext@
288 sbindir = @sbindir@
289 sharedstatedir = @sharedstatedir@
290 sysconfdir = @sysconfdir@
291 target = @target@
292 target_alias = @target_alias@
293 target_cpu = @target_cpu@
294 target_os = @target_os@
295 target_vendor = @target_vendor@
296 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
297 AM_CFLAGS = -g 
298 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
299   testgraph.xml testgraph.dot
300
301 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
302 EXTRA_DIST = run_tests.in \
303   gras/datadesc.little32 gras/datadesc.little32_4 \
304   gras/datadesc.little64\
305   gras/datadesc.big32 gras/datadesc.big32_8_4 gras/datadesc.big32_2 \
306   gras/mk_datadesc_structs.pl \
307   xbt/graph.xml \
308   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
309   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
310
311
312 # Data sets still to regenerate:
313 # gras/datadesc.big64 
314 # gras/datadesc.big32_4 
315
316 # Test stuff
317 xbt_tests = \
318         xbt/log_usage                                            \
319         xbt/heap_bench                                           \
320         xbt/graphxml_usage                                       \
321         xbt/context_usage                                        
322
323 RL_tests = \
324         gras/trp_tcp_client   gras/trp_tcp_server       \
325         gras/trp_file_client  gras/trp_file_server      \
326         gras/datadesc_usage                             
327
328 SG_tests = surf/maxmin_usage surf/maxmin_bench surf/trace_usage \
329         surf/surf_usage surf/surf_usage2 $(am__append_1)
330 simdag_tests = simdag/sd_test
331 check_SCRIPTS = run_tests gras/trp_tcp_usage
332 TESTS = run_tests
333
334 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
335 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
336 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
337 xbt_log_usage_LDADD = $(LDADD_RL)
338 xbt_heap_bench_LDADD = $(LDADD_RL)
339 xbt_graphxml_usage_LDADD = $(LDADD_SG)
340 xbt_context_usage_LDADD = $(LDADD_SG)
341 surf_maxmin_usage_LDADD = $(LDADD_SG)
342 surf_maxmin_bench_LDADD = $(LDADD_SG)
343 surf_trace_usage_LDADD = $(LDADD_SG)
344 surf_surf_usage_LDADD = $(LDADD_SG)
345 surf_surf_usage2_LDADD = $(LDADD_SG)
346 @HAVE_SDP_TRUE@surf_sdp_usage_LDADD = $(LDADD_SG)
347 @HAVE_SDP_TRUE@surf_sdp_bench_LDADD = $(LDADD_SG)
348 gras_trp_tcp_client_LDADD = $(LDADD_RL)
349 gras_trp_tcp_server_LDADD = $(LDADD_RL)
350 gras_trp_file_client_LDADD = $(LDADD_RL)
351 gras_trp_file_server_LDADD = $(LDADD_RL)
352 gras_datadesc_usage_SOURCES = gras/datadesc_usage.c gras/datadesc_structs.c
353 gras_datadesc_usage_LDADD = $(LDADD_RL)
354 simdag_sd_test_LDADD = $(LDADD_SG)
355 all: all-am
356
357 .SUFFIXES:
358 .SUFFIXES: .c .lo .o .obj
359 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
360         @for dep in $?; do \
361           case '$(am__configure_deps)' in \
362             *$$dep*) \
363               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
364                 && exit 0; \
365               exit 1;; \
366           esac; \
367         done; \
368         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
369         cd $(top_srcdir) && \
370           $(AUTOMAKE) --gnu  testsuite/Makefile
371 .PRECIOUS: Makefile
372 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
373         @case '$?' in \
374           *config.status*) \
375             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
376           *) \
377             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
378             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
379         esac;
380
381 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
382         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
383
384 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
385         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
386 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
387         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
388 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
389         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
390
391 clean-checkPROGRAMS:
392         @list='$(check_PROGRAMS)'; for p in $$list; do \
393           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
394           echo " rm -f $$p $$f"; \
395           rm -f $$p $$f ; \
396         done
397 gras/$(am__dirstamp):
398         @$(mkdir_p) gras
399         @: > gras/$(am__dirstamp)
400 gras/datadesc_usage$(EXEEXT): $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_DEPENDENCIES) gras/$(am__dirstamp)
401         @rm -f gras/datadesc_usage$(EXEEXT)
402         $(LINK) $(gras_datadesc_usage_LDFLAGS) $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_LDADD) $(LIBS)
403 gras/trp_file_client$(EXEEXT): $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_DEPENDENCIES) gras/$(am__dirstamp)
404         @rm -f gras/trp_file_client$(EXEEXT)
405         $(LINK) $(gras_trp_file_client_LDFLAGS) $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_LDADD) $(LIBS)
406 gras/trp_file_server$(EXEEXT): $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_DEPENDENCIES) gras/$(am__dirstamp)
407         @rm -f gras/trp_file_server$(EXEEXT)
408         $(LINK) $(gras_trp_file_server_LDFLAGS) $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_LDADD) $(LIBS)
409 gras/trp_tcp_client$(EXEEXT): $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_DEPENDENCIES) gras/$(am__dirstamp)
410         @rm -f gras/trp_tcp_client$(EXEEXT)
411         $(LINK) $(gras_trp_tcp_client_LDFLAGS) $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_LDADD) $(LIBS)
412 gras/trp_tcp_server$(EXEEXT): $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_DEPENDENCIES) gras/$(am__dirstamp)
413         @rm -f gras/trp_tcp_server$(EXEEXT)
414         $(LINK) $(gras_trp_tcp_server_LDFLAGS) $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_LDADD) $(LIBS)
415 simdag/$(am__dirstamp):
416         @$(mkdir_p) simdag
417         @: > simdag/$(am__dirstamp)
418 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
419         @rm -f simdag/sd_test$(EXEEXT)
420         $(LINK) $(simdag_sd_test_LDFLAGS) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
421 surf/$(am__dirstamp):
422         @$(mkdir_p) surf
423         @: > surf/$(am__dirstamp)
424 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
425         @rm -f surf/maxmin_bench$(EXEEXT)
426         $(LINK) $(surf_maxmin_bench_LDFLAGS) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
427 surf/maxmin_usage$(EXEEXT): $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_DEPENDENCIES) surf/$(am__dirstamp)
428         @rm -f surf/maxmin_usage$(EXEEXT)
429         $(LINK) $(surf_maxmin_usage_LDFLAGS) $(surf_maxmin_usage_OBJECTS) $(surf_maxmin_usage_LDADD) $(LIBS)
430 surf/sdp_bench$(EXEEXT): $(surf_sdp_bench_OBJECTS) $(surf_sdp_bench_DEPENDENCIES) surf/$(am__dirstamp)
431         @rm -f surf/sdp_bench$(EXEEXT)
432         $(LINK) $(surf_sdp_bench_LDFLAGS) $(surf_sdp_bench_OBJECTS) $(surf_sdp_bench_LDADD) $(LIBS)
433 surf/sdp_usage$(EXEEXT): $(surf_sdp_usage_OBJECTS) $(surf_sdp_usage_DEPENDENCIES) surf/$(am__dirstamp)
434         @rm -f surf/sdp_usage$(EXEEXT)
435         $(LINK) $(surf_sdp_usage_LDFLAGS) $(surf_sdp_usage_OBJECTS) $(surf_sdp_usage_LDADD) $(LIBS)
436 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
437         @rm -f surf/surf_usage$(EXEEXT)
438         $(LINK) $(surf_surf_usage_LDFLAGS) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
439 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
440         @rm -f surf/surf_usage2$(EXEEXT)
441         $(LINK) $(surf_surf_usage2_LDFLAGS) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
442 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
443         @rm -f surf/trace_usage$(EXEEXT)
444         $(LINK) $(surf_trace_usage_LDFLAGS) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
445 xbt/$(am__dirstamp):
446         @$(mkdir_p) xbt
447         @: > xbt/$(am__dirstamp)
448 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
449         @rm -f xbt/context_usage$(EXEEXT)
450         $(LINK) $(xbt_context_usage_LDFLAGS) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
451 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
452         @rm -f xbt/graphxml_usage$(EXEEXT)
453         $(LINK) $(xbt_graphxml_usage_LDFLAGS) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
454 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
455         @rm -f xbt/heap_bench$(EXEEXT)
456         $(LINK) $(xbt_heap_bench_LDFLAGS) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
457 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
458         @rm -f xbt/log_usage$(EXEEXT)
459         $(LINK) $(xbt_log_usage_LDFLAGS) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
460
461 mostlyclean-compile:
462         -rm -f *.$(OBJEXT)
463
464 distclean-compile:
465         -rm -f *.tab.c
466
467 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
468 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
469 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
470 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
471 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
472 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
473 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
474 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_usage.Po@am__quote@
475 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
476 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdp_bench.Po@am__quote@
477 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sdp_usage.Po@am__quote@
478 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
479 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
480 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
481 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_client.Po@am__quote@
482 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_server.Po@am__quote@
483 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_client.Po@am__quote@
484 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_server.Po@am__quote@
485
486 .c.o:
487 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
488 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
489 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
490 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
491 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
492
493 .c.obj:
494 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
495 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
496 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
497 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
498 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
499
500 .c.lo:
501 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
502 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
503 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
504 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
505 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
506
507 datadesc_usage.o: gras/datadesc_usage.c
508 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF "$(DEPDIR)/datadesc_usage.Tpo" -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c; \
509 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/datadesc_usage.Tpo" "$(DEPDIR)/datadesc_usage.Po"; else rm -f "$(DEPDIR)/datadesc_usage.Tpo"; exit 1; fi
510 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
511 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
512 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
513
514 datadesc_usage.obj: gras/datadesc_usage.c
515 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF "$(DEPDIR)/datadesc_usage.Tpo" -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`; \
516 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/datadesc_usage.Tpo" "$(DEPDIR)/datadesc_usage.Po"; else rm -f "$(DEPDIR)/datadesc_usage.Tpo"; exit 1; fi
517 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
518 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
519 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
520
521 datadesc_structs.o: gras/datadesc_structs.c
522 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF "$(DEPDIR)/datadesc_structs.Tpo" -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c; \
523 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/datadesc_structs.Tpo" "$(DEPDIR)/datadesc_structs.Po"; else rm -f "$(DEPDIR)/datadesc_structs.Tpo"; exit 1; fi
524 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
525 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
526 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
527
528 datadesc_structs.obj: gras/datadesc_structs.c
529 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF "$(DEPDIR)/datadesc_structs.Tpo" -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`; \
530 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/datadesc_structs.Tpo" "$(DEPDIR)/datadesc_structs.Po"; else rm -f "$(DEPDIR)/datadesc_structs.Tpo"; exit 1; fi
531 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
532 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
533 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
534
535 trp_file_client.o: gras/trp_file_client.c
536 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.o -MD -MP -MF "$(DEPDIR)/trp_file_client.Tpo" -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c; \
537 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_file_client.Tpo" "$(DEPDIR)/trp_file_client.Po"; else rm -f "$(DEPDIR)/trp_file_client.Tpo"; exit 1; fi
538 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.o' libtool=no @AMDEPBACKSLASH@
539 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
540 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
541
542 trp_file_client.obj: gras/trp_file_client.c
543 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.obj -MD -MP -MF "$(DEPDIR)/trp_file_client.Tpo" -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`; \
544 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_file_client.Tpo" "$(DEPDIR)/trp_file_client.Po"; else rm -f "$(DEPDIR)/trp_file_client.Tpo"; exit 1; fi
545 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.obj' libtool=no @AMDEPBACKSLASH@
546 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
547 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
548
549 trp_file_server.o: gras/trp_file_server.c
550 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.o -MD -MP -MF "$(DEPDIR)/trp_file_server.Tpo" -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c; \
551 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_file_server.Tpo" "$(DEPDIR)/trp_file_server.Po"; else rm -f "$(DEPDIR)/trp_file_server.Tpo"; exit 1; fi
552 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.o' libtool=no @AMDEPBACKSLASH@
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
554 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
555
556 trp_file_server.obj: gras/trp_file_server.c
557 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.obj -MD -MP -MF "$(DEPDIR)/trp_file_server.Tpo" -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`; \
558 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_file_server.Tpo" "$(DEPDIR)/trp_file_server.Po"; else rm -f "$(DEPDIR)/trp_file_server.Tpo"; exit 1; fi
559 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.obj' libtool=no @AMDEPBACKSLASH@
560 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
561 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
562
563 trp_tcp_client.o: gras/trp_tcp_client.c
564 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.o -MD -MP -MF "$(DEPDIR)/trp_tcp_client.Tpo" -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c; \
565 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_tcp_client.Tpo" "$(DEPDIR)/trp_tcp_client.Po"; else rm -f "$(DEPDIR)/trp_tcp_client.Tpo"; exit 1; fi
566 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.o' libtool=no @AMDEPBACKSLASH@
567 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
568 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
569
570 trp_tcp_client.obj: gras/trp_tcp_client.c
571 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.obj -MD -MP -MF "$(DEPDIR)/trp_tcp_client.Tpo" -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`; \
572 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_tcp_client.Tpo" "$(DEPDIR)/trp_tcp_client.Po"; else rm -f "$(DEPDIR)/trp_tcp_client.Tpo"; exit 1; fi
573 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.obj' libtool=no @AMDEPBACKSLASH@
574 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
575 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
576
577 trp_tcp_server.o: gras/trp_tcp_server.c
578 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.o -MD -MP -MF "$(DEPDIR)/trp_tcp_server.Tpo" -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c; \
579 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_tcp_server.Tpo" "$(DEPDIR)/trp_tcp_server.Po"; else rm -f "$(DEPDIR)/trp_tcp_server.Tpo"; exit 1; fi
580 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.o' libtool=no @AMDEPBACKSLASH@
581 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
582 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
583
584 trp_tcp_server.obj: gras/trp_tcp_server.c
585 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.obj -MD -MP -MF "$(DEPDIR)/trp_tcp_server.Tpo" -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`; \
586 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trp_tcp_server.Tpo" "$(DEPDIR)/trp_tcp_server.Po"; else rm -f "$(DEPDIR)/trp_tcp_server.Tpo"; exit 1; fi
587 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.obj' libtool=no @AMDEPBACKSLASH@
588 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
589 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
590
591 sd_test.o: simdag/sd_test.c
592 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF "$(DEPDIR)/sd_test.Tpo" -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c; \
593 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/sd_test.Tpo" "$(DEPDIR)/sd_test.Po"; else rm -f "$(DEPDIR)/sd_test.Tpo"; exit 1; fi
594 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
595 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
596 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
597
598 sd_test.obj: simdag/sd_test.c
599 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF "$(DEPDIR)/sd_test.Tpo" -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`; \
600 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/sd_test.Tpo" "$(DEPDIR)/sd_test.Po"; else rm -f "$(DEPDIR)/sd_test.Tpo"; exit 1; fi
601 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
602 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
603 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
604
605 maxmin_bench.o: surf/maxmin_bench.c
606 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF "$(DEPDIR)/maxmin_bench.Tpo" -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c; \
607 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/maxmin_bench.Tpo" "$(DEPDIR)/maxmin_bench.Po"; else rm -f "$(DEPDIR)/maxmin_bench.Tpo"; exit 1; fi
608 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
609 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
610 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
611
612 maxmin_bench.obj: surf/maxmin_bench.c
613 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF "$(DEPDIR)/maxmin_bench.Tpo" -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`; \
614 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/maxmin_bench.Tpo" "$(DEPDIR)/maxmin_bench.Po"; else rm -f "$(DEPDIR)/maxmin_bench.Tpo"; exit 1; fi
615 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
616 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
617 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
618
619 maxmin_usage.o: surf/maxmin_usage.c
620 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_usage.o -MD -MP -MF "$(DEPDIR)/maxmin_usage.Tpo" -c -o maxmin_usage.o `test -f 'surf/maxmin_usage.c' || echo '$(srcdir)/'`surf/maxmin_usage.c; \
621 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/maxmin_usage.Tpo" "$(DEPDIR)/maxmin_usage.Po"; else rm -f "$(DEPDIR)/maxmin_usage.Tpo"; exit 1; fi
622 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_usage.c' object='maxmin_usage.o' libtool=no @AMDEPBACKSLASH@
623 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
624 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.o `test -f 'surf/maxmin_usage.c' || echo '$(srcdir)/'`surf/maxmin_usage.c
625
626 maxmin_usage.obj: surf/maxmin_usage.c
627 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_usage.obj -MD -MP -MF "$(DEPDIR)/maxmin_usage.Tpo" -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`; \
628 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/maxmin_usage.Tpo" "$(DEPDIR)/maxmin_usage.Po"; else rm -f "$(DEPDIR)/maxmin_usage.Tpo"; exit 1; fi
629 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_usage.c' object='maxmin_usage.obj' libtool=no @AMDEPBACKSLASH@
630 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
631 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_usage.obj `if test -f 'surf/maxmin_usage.c'; then $(CYGPATH_W) 'surf/maxmin_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_usage.c'; fi`
632
633 sdp_bench.o: surf/sdp_bench.c
634 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_bench.o -MD -MP -MF "$(DEPDIR)/sdp_bench.Tpo" -c -o sdp_bench.o `test -f 'surf/sdp_bench.c' || echo '$(srcdir)/'`surf/sdp_bench.c; \
635 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/sdp_bench.Tpo" "$(DEPDIR)/sdp_bench.Po"; else rm -f "$(DEPDIR)/sdp_bench.Tpo"; exit 1; fi
636 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/sdp_bench.c' object='sdp_bench.o' libtool=no @AMDEPBACKSLASH@
637 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
638 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_bench.o `test -f 'surf/sdp_bench.c' || echo '$(srcdir)/'`surf/sdp_bench.c
639
640 sdp_bench.obj: surf/sdp_bench.c
641 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_bench.obj -MD -MP -MF "$(DEPDIR)/sdp_bench.Tpo" -c -o sdp_bench.obj `if test -f 'surf/sdp_bench.c'; then $(CYGPATH_W) 'surf/sdp_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_bench.c'; fi`; \
642 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/sdp_bench.Tpo" "$(DEPDIR)/sdp_bench.Po"; else rm -f "$(DEPDIR)/sdp_bench.Tpo"; exit 1; fi
643 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/sdp_bench.c' object='sdp_bench.obj' libtool=no @AMDEPBACKSLASH@
644 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
645 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_bench.obj `if test -f 'surf/sdp_bench.c'; then $(CYGPATH_W) 'surf/sdp_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_bench.c'; fi`
646
647 sdp_usage.o: surf/sdp_usage.c
648 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_usage.o -MD -MP -MF "$(DEPDIR)/sdp_usage.Tpo" -c -o sdp_usage.o `test -f 'surf/sdp_usage.c' || echo '$(srcdir)/'`surf/sdp_usage.c; \
649 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/sdp_usage.Tpo" "$(DEPDIR)/sdp_usage.Po"; else rm -f "$(DEPDIR)/sdp_usage.Tpo"; exit 1; fi
650 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/sdp_usage.c' object='sdp_usage.o' libtool=no @AMDEPBACKSLASH@
651 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
652 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_usage.o `test -f 'surf/sdp_usage.c' || echo '$(srcdir)/'`surf/sdp_usage.c
653
654 sdp_usage.obj: surf/sdp_usage.c
655 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sdp_usage.obj -MD -MP -MF "$(DEPDIR)/sdp_usage.Tpo" -c -o sdp_usage.obj `if test -f 'surf/sdp_usage.c'; then $(CYGPATH_W) 'surf/sdp_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_usage.c'; fi`; \
656 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/sdp_usage.Tpo" "$(DEPDIR)/sdp_usage.Po"; else rm -f "$(DEPDIR)/sdp_usage.Tpo"; exit 1; fi
657 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/sdp_usage.c' object='sdp_usage.obj' libtool=no @AMDEPBACKSLASH@
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
659 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sdp_usage.obj `if test -f 'surf/sdp_usage.c'; then $(CYGPATH_W) 'surf/sdp_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/sdp_usage.c'; fi`
660
661 surf_usage.o: surf/surf_usage.c
662 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF "$(DEPDIR)/surf_usage.Tpo" -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c; \
663 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/surf_usage.Tpo" "$(DEPDIR)/surf_usage.Po"; else rm -f "$(DEPDIR)/surf_usage.Tpo"; exit 1; fi
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
666 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
667
668 surf_usage.obj: surf/surf_usage.c
669 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF "$(DEPDIR)/surf_usage.Tpo" -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`; \
670 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/surf_usage.Tpo" "$(DEPDIR)/surf_usage.Po"; else rm -f "$(DEPDIR)/surf_usage.Tpo"; exit 1; fi
671 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
672 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
673 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
674
675 surf_usage2.o: surf/surf_usage2.c
676 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF "$(DEPDIR)/surf_usage2.Tpo" -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c; \
677 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/surf_usage2.Tpo" "$(DEPDIR)/surf_usage2.Po"; else rm -f "$(DEPDIR)/surf_usage2.Tpo"; exit 1; fi
678 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
679 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
680 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
681
682 surf_usage2.obj: surf/surf_usage2.c
683 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF "$(DEPDIR)/surf_usage2.Tpo" -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`; \
684 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/surf_usage2.Tpo" "$(DEPDIR)/surf_usage2.Po"; else rm -f "$(DEPDIR)/surf_usage2.Tpo"; exit 1; fi
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
686 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
687 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
688
689 trace_usage.o: surf/trace_usage.c
690 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF "$(DEPDIR)/trace_usage.Tpo" -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c; \
691 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trace_usage.Tpo" "$(DEPDIR)/trace_usage.Po"; else rm -f "$(DEPDIR)/trace_usage.Tpo"; exit 1; fi
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
694 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
695
696 trace_usage.obj: surf/trace_usage.c
697 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF "$(DEPDIR)/trace_usage.Tpo" -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`; \
698 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/trace_usage.Tpo" "$(DEPDIR)/trace_usage.Po"; else rm -f "$(DEPDIR)/trace_usage.Tpo"; exit 1; fi
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
701 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
702
703 context_usage.o: xbt/context_usage.c
704 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF "$(DEPDIR)/context_usage.Tpo" -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c; \
705 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/context_usage.Tpo" "$(DEPDIR)/context_usage.Po"; else rm -f "$(DEPDIR)/context_usage.Tpo"; exit 1; fi
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
707 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
708 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
709
710 context_usage.obj: xbt/context_usage.c
711 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF "$(DEPDIR)/context_usage.Tpo" -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`; \
712 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/context_usage.Tpo" "$(DEPDIR)/context_usage.Po"; else rm -f "$(DEPDIR)/context_usage.Tpo"; exit 1; fi
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
715 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
716
717 graphxml_usage.o: xbt/graphxml_usage.c
718 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF "$(DEPDIR)/graphxml_usage.Tpo" -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c; \
719 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/graphxml_usage.Tpo" "$(DEPDIR)/graphxml_usage.Po"; else rm -f "$(DEPDIR)/graphxml_usage.Tpo"; exit 1; fi
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
722 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
723
724 graphxml_usage.obj: xbt/graphxml_usage.c
725 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF "$(DEPDIR)/graphxml_usage.Tpo" -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`; \
726 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/graphxml_usage.Tpo" "$(DEPDIR)/graphxml_usage.Po"; else rm -f "$(DEPDIR)/graphxml_usage.Tpo"; exit 1; fi
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
729 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
730
731 heap_bench.o: xbt/heap_bench.c
732 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF "$(DEPDIR)/heap_bench.Tpo" -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c; \
733 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/heap_bench.Tpo" "$(DEPDIR)/heap_bench.Po"; else rm -f "$(DEPDIR)/heap_bench.Tpo"; exit 1; fi
734 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
735 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
736 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
737
738 heap_bench.obj: xbt/heap_bench.c
739 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF "$(DEPDIR)/heap_bench.Tpo" -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`; \
740 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/heap_bench.Tpo" "$(DEPDIR)/heap_bench.Po"; else rm -f "$(DEPDIR)/heap_bench.Tpo"; exit 1; fi
741 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
742 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
743 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
744
745 log_usage.o: xbt/log_usage.c
746 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF "$(DEPDIR)/log_usage.Tpo" -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c; \
747 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/log_usage.Tpo" "$(DEPDIR)/log_usage.Po"; else rm -f "$(DEPDIR)/log_usage.Tpo"; exit 1; fi
748 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
749 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
750 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
751
752 log_usage.obj: xbt/log_usage.c
753 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF "$(DEPDIR)/log_usage.Tpo" -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`; \
754 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/log_usage.Tpo" "$(DEPDIR)/log_usage.Po"; else rm -f "$(DEPDIR)/log_usage.Tpo"; exit 1; fi
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
757 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
758
759 mostlyclean-libtool:
760         -rm -f *.lo
761
762 clean-libtool:
763         -rm -rf .libs _libs
764
765 distclean-libtool:
766         -rm -f libtool
767 uninstall-info-am:
768
769 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
770         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
771         unique=`for i in $$list; do \
772             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
773           done | \
774           $(AWK) '    { files[$$0] = 1; } \
775                END { for (i in files) print i; }'`; \
776         mkid -fID $$unique
777 tags: TAGS
778
779 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
780                 $(TAGS_FILES) $(LISP)
781         tags=; \
782         here=`pwd`; \
783         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
784         unique=`for i in $$list; do \
785             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
786           done | \
787           $(AWK) '    { files[$$0] = 1; } \
788                END { for (i in files) print i; }'`; \
789         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
790           test -n "$$unique" || unique=$$empty_fix; \
791           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
792             $$tags $$unique; \
793         fi
794 ctags: CTAGS
795 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
796                 $(TAGS_FILES) $(LISP)
797         tags=; \
798         here=`pwd`; \
799         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
800         unique=`for i in $$list; do \
801             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
802           done | \
803           $(AWK) '    { files[$$0] = 1; } \
804                END { for (i in files) print i; }'`; \
805         test -z "$(CTAGS_ARGS)$$tags$$unique" \
806           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
807              $$tags $$unique
808
809 GTAGS:
810         here=`$(am__cd) $(top_builddir) && pwd` \
811           && cd $(top_srcdir) \
812           && gtags -i $(GTAGS_ARGS) $$here
813
814 distclean-tags:
815         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
816
817 check-TESTS: $(TESTS)
818         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
819         srcdir=$(srcdir); export srcdir; \
820         list='$(TESTS)'; \
821         if test -n "$$list"; then \
822           for tst in $$list; do \
823             if test -f ./$$tst; then dir=./; \
824             elif test -f $$tst; then dir=; \
825             else dir="$(srcdir)/"; fi; \
826             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
827               all=`expr $$all + 1`; \
828               case " $(XFAIL_TESTS) " in \
829               *" $$tst "*) \
830                 xpass=`expr $$xpass + 1`; \
831                 failed=`expr $$failed + 1`; \
832                 echo "XPASS: $$tst"; \
833               ;; \
834               *) \
835                 echo "PASS: $$tst"; \
836               ;; \
837               esac; \
838             elif test $$? -ne 77; then \
839               all=`expr $$all + 1`; \
840               case " $(XFAIL_TESTS) " in \
841               *" $$tst "*) \
842                 xfail=`expr $$xfail + 1`; \
843                 echo "XFAIL: $$tst"; \
844               ;; \
845               *) \
846                 failed=`expr $$failed + 1`; \
847                 echo "FAIL: $$tst"; \
848               ;; \
849               esac; \
850             else \
851               skip=`expr $$skip + 1`; \
852               echo "SKIP: $$tst"; \
853             fi; \
854           done; \
855           if test "$$failed" -eq 0; then \
856             if test "$$xfail" -eq 0; then \
857               banner="All $$all tests passed"; \
858             else \
859               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
860             fi; \
861           else \
862             if test "$$xpass" -eq 0; then \
863               banner="$$failed of $$all tests failed"; \
864             else \
865               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
866             fi; \
867           fi; \
868           dashes="$$banner"; \
869           skipped=""; \
870           if test "$$skip" -ne 0; then \
871             skipped="($$skip tests were not run)"; \
872             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
873               dashes="$$skipped"; \
874           fi; \
875           report=""; \
876           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
877             report="Please report to $(PACKAGE_BUGREPORT)"; \
878             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
879               dashes="$$report"; \
880           fi; \
881           dashes=`echo "$$dashes" | sed s/./=/g`; \
882           echo "$$dashes"; \
883           echo "$$banner"; \
884           test -z "$$skipped" || echo "$$skipped"; \
885           test -z "$$report" || echo "$$report"; \
886           echo "$$dashes"; \
887           test "$$failed" -eq 0; \
888         else :; fi
889
890 distdir: $(DISTFILES)
891         $(mkdir_p) $(distdir)/../acmacro $(distdir)/gras $(distdir)/simdag $(distdir)/surf $(distdir)/xbt
892         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
893         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
894         list='$(DISTFILES)'; for file in $$list; do \
895           case $$file in \
896             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
897             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
898           esac; \
899           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
900           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
901           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
902             dir="/$$dir"; \
903             $(mkdir_p) "$(distdir)$$dir"; \
904           else \
905             dir=''; \
906           fi; \
907           if test -d $$d/$$file; then \
908             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
909               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
910             fi; \
911             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
912           else \
913             test -f $(distdir)/$$file \
914             || cp -p $$d/$$file $(distdir)/$$file \
915             || exit 1; \
916           fi; \
917         done
918 check-am: all-am
919         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
920         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
921 check: check-am
922 all-am: Makefile
923 installdirs:
924 install: install-am
925 install-exec: install-exec-am
926 install-data: install-data-am
927 uninstall: uninstall-am
928
929 install-am: all-am
930         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
931
932 installcheck: installcheck-am
933 install-strip:
934         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
935           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
936           `test -z '$(STRIP)' || \
937             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
938 mostlyclean-generic:
939
940 clean-generic:
941         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
942
943 distclean-generic:
944         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
945         -rm -f gras/$(am__dirstamp)
946         -rm -f simdag/$(am__dirstamp)
947         -rm -f surf/$(am__dirstamp)
948         -rm -f xbt/$(am__dirstamp)
949         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
950
951 maintainer-clean-generic:
952         @echo "This command is intended for maintainers to use"
953         @echo "it deletes files that may require special tools to rebuild."
954 clean: clean-am
955
956 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
957         mostlyclean-am
958
959 distclean: distclean-am
960         -rm -rf ./$(DEPDIR)
961         -rm -f Makefile
962 distclean-am: clean-am distclean-compile distclean-generic \
963         distclean-libtool distclean-tags
964
965 dvi: dvi-am
966
967 dvi-am:
968
969 html: html-am
970
971 info: info-am
972
973 info-am:
974
975 install-data-am:
976
977 install-exec-am:
978
979 install-info: install-info-am
980
981 install-man:
982
983 installcheck-am:
984
985 maintainer-clean: maintainer-clean-am
986         -rm -rf ./$(DEPDIR)
987         -rm -f Makefile
988 maintainer-clean-am: distclean-am maintainer-clean-generic
989
990 mostlyclean: mostlyclean-am
991
992 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
993         mostlyclean-libtool
994
995 pdf: pdf-am
996
997 pdf-am:
998
999 ps: ps-am
1000
1001 ps-am:
1002
1003 uninstall-am: uninstall-info-am
1004
1005 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
1006         clean-checkPROGRAMS clean-generic clean-libtool ctags \
1007         distclean distclean-compile distclean-generic \
1008         distclean-libtool distclean-tags distdir dvi dvi-am html \
1009         html-am info info-am install install-am install-data \
1010         install-data-am install-exec install-exec-am install-info \
1011         install-info-am install-man install-strip installcheck \
1012         installcheck-am installdirs maintainer-clean \
1013         maintainer-clean-generic mostlyclean mostlyclean-compile \
1014         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1015         tags uninstall uninstall-am uninstall-info-am
1016
1017
1018 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
1019         ./run_tests
1020 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
1021         ./run_tests valgrind
1022
1023 gras/datadesc_structs.c: gras/mk_datadesc_structs.pl
1024         cd gras ; perl ../$(top_srcdir)/testsuite/gras/mk_datadesc_structs.pl > datadesc_structs.c
1025
1026 dist-files:
1027         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
1028         @echo
1029         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
1030 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1031 # Otherwise a system limit (for SysV at least) may be exceeded.
1032 .NOEXPORT: